Bug 57797 - (SOUND CMPCI)cmpci driver broken in RH 7.2
(SOUND CMPCI)cmpci driver broken in RH 7.2
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-23 05:58 EST by Nils O. Selåsdal
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 17:27:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils O. Selåsdal 2001-12-23 05:58:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7 i686)

Description of problem:
The cmpci(for cmedia chipsets) sound driver in the 2.4.7/2.4.9 kernels
doesnt work. There is only sound in one of the speakers, and it
sounds like a really bad tuned-in radio. In RH 7.1 with the 2.4.2 kernel it
works perfectly.
The same have been observed with atleast the plain 2.4.10-2.4.16 kernels.
If I need to configure/setup something I havent thought of, or there is a
workaround, _please_ give me a note at NOS@Utel.no
 

Version-Release number of selected component (if applicable):
 2.4.7/2.4.9 And plain 2.4.10-2.4.16 kernels


How reproducible:
Always

Steps to Reproduce:
 I only did this on my computer. 
1. Install RH 7.2, it'll autodetect the audio chipset. Or run sndconfig to
configure it.
2. Fire up a sound prog, e.g. xmms, or just KDE.



Actual Results:  I can only hear sound in one speaker, and its really
fuzzy, like
a bad tuned in radio.

Expected Results:  Flawless stereo sound like in RH7.1 with the 2.4.2-2
kernel

Additional info:

[noselasd@space libpcap]$ cat /proc/pci
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev
3).
      Master Capable.  Latency=64.
      Prefetchable 32 bit memory at 0xe0000000 [0xe3ffffff].
  Bus  0, device   1, function  0:
    PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 3).
      Master Capable.  Latency=64.  Min Gnt=136.
  Bus  0, device   7, function  0:
    ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 2).
  Bus  0, device   7, function  1:
    IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 1).
      Master Capable.  Latency=64.
      I/O at 0xf000 [0xf00f].
  Bus  0, device   7, function  2:
    USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 1).
      IRQ 5.
      Master Capable.  Latency=64.
      I/O at 0xe000 [0xe01f].
  Bus  0, device   7, function  3:
    Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 2).
      IRQ 9.
  Bus  0, device  13, function  0:
    Multimedia audio controller: C-Media Electronics Inc CM8338A (rev 16).
      IRQ 5.
      Master Capable.  Latency=64.  Min Gnt=2.Max Lat=24.
      I/O at 0xe400 [0xe4ff].
  Bus  1, device   0, function  0:
    VGA compatible controller: ATI Technologies Inc 3D Rage IIC AGP (rev
122).
      IRQ 11.
      Master Capable.  Latency=64.  Min Gnt=8.
      Prefetchable 32 bit memory at 0xe6000000 [0xe6ffffff].
      I/O at 0xd000 [0xd0ff].
      Non-prefetchable 32 bit memory at 0xe5000000 [0xe5000fff].
Comment 1 Nils O. Selåsdal 2004-05-19 17:27:12 EDT
RH 7.2 is old, It works in FC.

Note You need to log in before you can comment on or make changes to this bug.